[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'CustomDrawnDrawers' (#lcl)

# TCDProgressBarStateEx

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: customdrawndrawers.pas line 187

`type TCDProgressBarStateEx = class(TCDControlStateEx)`
`public`
`BarShowText: Boolean;` |  |
`PercentPosition: Double;` |  |
`Smooth: Boolean;` |  |
`Style: TProgressBarStyle;` |  |
`end;`

## Inheritance

`TCDProgressBarStateEx` |  |
`TCDControlStateEx` |  |
`TObject`